Lucius API
Contracts

List contracts

Returns all C2C contracts for the authenticated company, newest first. Optionally filter by status.

GET
/v1/billing/contracts
AuthorizationBearer <token>

API key as Bearer token: Authorization: Bearer luc_live_...

In: header

Query Parameters

status?string

Filter by contract status.

Value in"draft" | "active" | "completed" | "cancelled" | "terminated"

Response Body

application/json

application/json

curl -X GET "https://api.lucius.finance/v1/billing/contracts"
{
  "object": "list",
  "data": [
    {
      "object": "contract",
      "id": "acme-corp-2026",
      "customer_name": "Acme Corp",
      "status": "active",
      "start_date": "2026-01-01",
      "end_date": "2027-01-01",
      "currency": "USD",
      "billing_cadence": "monthly",
      "metrics": [
        "revenue_amount_invoiced"
      ]
    }
  ],
  "has_more": false,
  "total_count": 1
}

{
  "error": "Missing API key"
}